[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: (ITS#5696) Patch - support Mozilla NSS for crypto operations

On Feb 25, 2009, at 1:42 AM, hyc@symas.com wrote:

> The -compat code is LGPL. I'm considering copying the ciphersuite  
> handling and
> a few other pieces out of there, directly into our tree. There's a  
> lot of
> other baggage in the compat library we don't need, and there's some  
> OpenSSL
> emulation that would interfere with the NSS code we already have.  
> Any problem
> with excerpting the bits we need?

I would need to take a very careful look at this.  In general, the  
answer is "NO", don't bring in LGPL code into our primary code base  
(standalone LGPL in contrib is another matter).

-- Kurt